aboutsummaryrefslogtreecommitdiffstats
path: root/dist/archlinux/stable/scrotty.install
diff options
context:
space:
mode:
authorMattias Andrée <maandree@operamail.com>2014-10-28 13:06:39 +0100
committerMattias Andrée <maandree@operamail.com>2014-10-28 13:06:39 +0100
commitb7c357626d822c5fddc9991febc420dd16038f05 (patch)
tree986e3c19f97fd4af288e9dc8b491b80f4b8c27fe /dist/archlinux/stable/scrotty.install
parenttypo (diff)
downloadscrotty-b7c357626d822c5fddc9991febc420dd16038f05.tar.gz
scrotty-b7c357626d822c5fddc9991febc420dd16038f05.tar.bz2
scrotty-b7c357626d822c5fddc9991febc420dd16038f05.tar.xz
dist
Signed-off-by: Mattias Andrée <maandree@operamail.com>
Diffstat (limited to 'dist/archlinux/stable/scrotty.install')
-rw-r--r--dist/archlinux/stable/scrotty.install20
1 files changed, 20 insertions, 0 deletions
diff --git a/dist/archlinux/stable/scrotty.install b/dist/archlinux/stable/scrotty.install
new file mode 100644
index 0000000..8e40299
--- /dev/null
+++ b/dist/archlinux/stable/scrotty.install
@@ -0,0 +1,20 @@
+_file="scrotty"
+
+infodir="usr/share/info"
+file="${_file}.info"
+
+
+post_install() {
+ [[ -x "usr/bin/install-info" ]] || return 0
+ install-info -- "${infodir}/${file}" "${infodir}/dir" 2> /dev/null
+}
+
+post_upgrade() {
+ post_install "$1"
+}
+
+pre_remove() {
+ [[ -x "usr/bin/install-info" ]] || return 0
+ install-info --delete -- "${infodir}/${file}" "${infodir}/dir" 2> /dev/null
+}
+